Meet build error with ARMCT5.06 Build 960

Hi Sir,

Our company have ARM license and used ARMCT5.01 Build 94 for several years.

Recently,we download  ARMCT5.06 Build 960 from website "https://developer.arm.com/tools-and-software/embedded/arm-compiler/downloads/legacy-compilers".

After install  ARMCT5.06 Build 960,we try to set build environment for ARMCT5.06 Build 960.When we build code,we met below error:

Error: C9555E: Failed to check out a license.
The provided license does not enable these tools.
Information about this error is available at: ds.arm.com/.../m5
 General licensing information is available at: ds.arm.com/.../
 If you need further help, provide this complete error report to your supplier or license.support@arm.com.
 - ARMLMD_LICENSE_FILE: '8224@10.180.8.220'
 - LM_LICENSE_FILE: unset
 - ARM_TOOL_VARIANT: unset
 - ARM_PRODUCT_PATH: unset
 - Product location: /pkg/qct/software/arm/5.06bld960/sw/mappings
 - Toolchain location: /pkg/qct/software/arm/5.06bld960/bin64
 - Selected tool variant: product
 - Checkout feature: compiler5
 - Feature version: 5.0202006
 - Flex error code: -5
Product: ARM Compiler 5.06
Component: ARM Compiler 5.06 update 7 (build 960)
Tool: armcc [4d365d]

Our build code server is in Ubuntu system,and our license server is Windows system.

Is anyone know wheter one license can support for multiple ARM Compiler?If can not ,we should add new license for ARMCT5.06 Build 960?

We think ARMCT5.06 Build 960 is belong to ARM Compiler5,our license can support ARMCT5.01 Build 94,why it can not support Build 960?

I will be graeteful if anyone can give us a certain answer.

Thanks a lot .

Parents Reply Children
More questions in this forum